-- Script that sets up the map allies!
-- NOTE: Now you don't have to find and type all shaman coordinates.
-- in fact, you don't even have to open this script. Just know that:
-- team 1 = markers 0-3;    team 2 = markers 4-7
-- place the markers on the shaman locations, and the script does the work for you

import(Module_Map) -- For map functions
import(Module_Defines) -- For shaman identifier
import(Module_Table) -- For tables
import(Module_Objects) -- For searching map element objects
import(Module_Players) -- For allying players

local team1 = {}
local team2 = {}

function find_shaman_and_ally(mk)
	local team = team1 if mk >= 4 then team = team2 end
	
	SearchMapCells(SQUARE , 0, 0, 0, world_coord3d_to_map_idx(marker_to_coord3d(mk)), function(me)
		me.MapWhoList:processList( function (t)
			if t.Type == T_PERSON and t.Model == M_PERSON_MEDICINE_MAN then
				table.insert(team, t.Owner)
			end
			return true
		end)
		return true
	end)
end

for marker = 0, 7 do
	find_shaman_and_ally(marker)
end

function ally_teams()
	local teams = {team1, team2}
	for key, team in ipairs(teams) do
		for k, v in ipairs(team) do
			for kk, vv in ipairs(team) do
				set_players_allied(v, vv)
			end
		end
	end
end

ally_teams()